curl "https://kodostatus.com/api/v1/services/<service-id>" \
-H "X-API-Key: your_api_key"
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "API Gateway",
"description": "Main API service",
"status": "operational",
"display_order": 1,
"created_at": "2026-01-15T10:30:00.000Z",
"updated_at": "2026-01-15T10:30:00.000Z"
}
Services
Get Service
Get a single service by ID
GET
/
services
/
{id}
curl "https://kodostatus.com/api/v1/services/<service-id>" \
-H "X-API-Key: your_api_key"
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "API Gateway",
"description": "Main API service",
"status": "operational",
"display_order": 1,
"created_at": "2026-01-15T10:30:00.000Z",
"updated_at": "2026-01-15T10:30:00.000Z"
}
Path Parameters
The service ID
Response
Returns the service object.curl "https://kodostatus.com/api/v1/services/<service-id>" \
-H "X-API-Key: your_api_key"
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "API Gateway",
"description": "Main API service",
"status": "operational",
"display_order": 1,
"created_at": "2026-01-15T10:30:00.000Z",
"updated_at": "2026-01-15T10:30:00.000Z"
}
⌘I